package com.sharppaint.graphicprocess;

import java.awt.Font;
import java.text.NumberFormat;

import javax.swing.border.Border;
import javax.swing.text.NumberFormatter;

import com.sharppaint.drawtools.Element;

public class VectorBasicData {
    protected Font font;
    protected Border loweredetched;
    protected NumberFormat numberFormat;
    protected NumberFormatter formatter;
    protected NumberFormatter formatterRotate;
    
    protected static Element element;
    protected static int elementNum;
    protected static final int RESIZE_MIN = 1;
    protected static final int PATTERNRESIZE_MIN = 3;
    protected static final int RESIZE_MAX = 500;
    protected static final int RESIZE_INIT = 100;
    protected static final int ZERO = 0;
    protected static final int ROTATE_MAX = 360;
    protected static final int GRADSCALE_INIT = 100;
    protected static final int GRADSCALE_MAX = 150;
    protected static final int GRADROTATE_MIN = -180;
    protected static final int GRADROTATE_MAX = 180;
    protected static final int OPACITY_MIN = 0;
    protected static final int OPACITY_MAX = 100;    

    protected static final int PANEL_WIDTH = 278;
    
    public VectorBasicData() {
        numberFormat = java.text.NumberFormat.getIntegerInstance();
        formatter = new NumberFormatter(numberFormat);
        formatterRotate = new NumberFormatter(numberFormat);    	
        font = new Font("arial",Font.BOLD,11);
    }
    public void setElement(Element elem, int elemNum) {
    	element = elem;
    	elementNum = elemNum;
    }
}
