package com.sharppaint.svg;

import java.awt.Color;
import java.util.Hashtable;


public class ColorParser {

	private static ColorParser colorPaser= null;
	
	public static Hashtable colors = new Hashtable();
	ColorConverter cvt = new ColorConverter();
	
	
	public static ColorParser getInstance() {
		if(colorPaser==null)
			colorPaser = new ColorParser();
		return colorPaser;
	}
	
	@SuppressWarnings({ "unchecked", "static-access" })
	private ColorParser() {
		//put: HashTable Է (Ű, )
		 this.colors.put("aliceblue",cvt.RGB("#F0F8FF"));               
		 this.colors.put("antiquewhite",cvt.RGB("#FAEBD7"));            
		 this.colors.put("aqua",cvt.RGB("#00FFFF"));                       
		 this.colors.put("aquamarine",cvt.RGB("#7FFFD4"));              
		 this.colors.put("azure",cvt.RGB("#F0FFFF"));                   
		 this.colors.put("beige",cvt.RGB("#F5F5DC"));                   
		 this.colors.put("bisque",cvt.RGB("#FFE4C4"));                  
		 this.colors.put("black",cvt.RGB("#000000"));                   
		 this.colors.put("blanchedalmond",cvt.RGB("#FFEBCD"));          
		 this.colors.put("blue",cvt.RGB("#0000FF"));                    
		 this.colors.put("blueViolet",cvt.RGB("#8A2BE2"));              
		 this.colors.put("brown",cvt.RGB("#A52A2A"));                   
		 this.colors.put("burlywood",cvt.RGB("#DEB887"));               
		 this.colors.put("cadetblue",cvt.RGB("#5F9EA0"));               
		 this.colors.put("chartreuse",cvt.RGB("#7FFF00"));              
		 this.colors.put("chocolate",cvt.RGB("#D2691E"));               
		 this.colors.put("coral",cvt.RGB("#FF7F50"));                   
		 this.colors.put("cornflowerblue",cvt.RGB("#6495ED"));          
		 this.colors.put("cornsilk",cvt.RGB("#FFF8DC"));                
		 this.colors.put("crimson",cvt.RGB("#DC143C"));                 
		 this.colors.put("cyan",cvt.RGB("#00FFFF"));                    
		 this.colors.put("darkblue",cvt.RGB("#00008B"));                
		 this.colors.put("darkcyan",cvt.RGB("#008B8B"));                
		 this.colors.put("darkgoldenrod",cvt.RGB("#B8860B"));           
		 this.colors.put("darkgray",cvt.RGB("#A9A9A9"));                
		 this.colors.put("darkgreen",cvt.RGB("#006400"));               
		 this.colors.put("darkkhaki",cvt.RGB("#BDB76B"));               
		 this.colors.put("darkmagenta",cvt.RGB("#8B008B"));             
		 this.colors.put("darkolivegreen",cvt.RGB("#556B2F"));          
		 this.colors.put("darkorange",cvt.RGB("#FF8C00"));              
		 this.colors.put("darkorchid",cvt.RGB("#9932CC"));              
		 this.colors.put("darkred",cvt.RGB("#8B0000"));                 
		 this.colors.put("darksalmon",cvt.RGB("#E9967A"));              
		 this.colors.put("darkseagreen",cvt.RGB("#8FBC8F"));            
		 this.colors.put("darkslateblue",cvt.RGB("#483D8B"));           
		 this.colors.put("darkslategray",cvt.RGB("#2F4F4F"));           
		 this.colors.put("darkturquoise",cvt.RGB("#00CED1"));           
		 this.colors.put("darkviolet",cvt.RGB("#9400D3"));              
		 this.colors.put("deeppink",cvt.RGB("#FF1493"));                
		 this.colors.put("deepskyblue",cvt.RGB("#00BFFF"));             
		 this.colors.put("dimgray",cvt.RGB("#696969"));                 
		 this.colors.put("dodgerblue",cvt.RGB("#1E90FF"));              
		 this.colors.put("firebrick",cvt.RGB("#B22222"));               
		 this.colors.put("floralwhite",cvt.RGB("#FFFAF0"));             
		 this.colors.put("forestgreen",cvt.RGB("#228B22"));             
		 this.colors.put("fuchsia",cvt.RGB("#FF00FF"));                 
		 this.colors.put("gainsboro",cvt.RGB("#DCDCDC"));               
		 this.colors.put("ghostwhite",cvt.RGB("#F8F8FF"));              
		 this.colors.put("gold",cvt.RGB("#FFD700"));                    
		 this.colors.put("goldenrod",cvt.RGB("#DAA520"));               
		 this.colors.put("gray",cvt.RGB("#808080"));                    
		 this.colors.put("green",cvt.RGB("#008000"));                   
		 this.colors.put("greenyellow",cvt.RGB("#ADFF2F"));             
		 this.colors.put("honeydew",cvt.RGB("#F0FFF0"));                
		 this.colors.put("hotpink",cvt.RGB("#FF69B4"));                 
		 this.colors.put("indianred",cvt.RGB("#CD5C5C"));               
		 this.colors.put("indigo",cvt.RGB("#4B0082"));                  
		 this.colors.put("ivory",cvt.RGB("#FFFFF0"));                   
		 this.colors.put("khaki",cvt.RGB("#F0E68C"));                   
		 this.colors.put("lavender",cvt.RGB("#E6E6FA"));                
		 this.colors.put("lavenderblush",cvt.RGB("#FFF0F5"));           
		 this.colors.put("lawngreen",cvt.RGB("#7CFC00"));               
		 this.colors.put("lemonchiffon",cvt.RGB("#FFFACD"));            
		 this.colors.put("lightblue",cvt.RGB("#ADD8E6"));               
		 this.colors.put("lightcoral",cvt.RGB("#F08080"));              
	   	 this.colors.put("lightcyan",cvt.RGB("#E0FFFF"));               
	     this.colors.put("lightgoldenrodyellow",cvt.RGB("#FAFAD2"));    																																						
	     this.colors.put("lightgrey",cvt.RGB("#D3D3D3"));               																																						
	     this.colors.put("lightgreen",cvt.RGB("#90EE90"));              																																						
	     this.colors.put("lightpink",cvt.RGB("#FFB6C1"));               																																						
	     this.colors.put("lightsalmon",cvt.RGB("#FFA07A"));             																																						
	     this.colors.put("lightseagreen",cvt.RGB("#20B2AA"));           																																						
	     this.colors.put("lightskyblue",cvt.RGB("#87CEFA"));            																																						
	     this.colors.put("lightslateblue",cvt.RGB("#8470FF"));          																																						
	     this.colors.put("lightslategray",cvt.RGB("#778899"));          																																						
	     this.colors.put("lightsteelblue",cvt.RGB("#B0C4DE"));          																																						
	     this.colors.put("lightyellow",cvt.RGB("#FFFFE0"));             																																						
	     this.colors.put("lime",cvt.RGB("#00FF00"));                    																																						
	     this.colors.put("limegreen",cvt.RGB("#32CD32"));               																																						
	     this.colors.put("linen",cvt.RGB("#FAF0E6"));                   																																						
	     this.colors.put("magenta",cvt.RGB("#FF00FF"));                 																																						
	     this.colors.put("maroon",cvt.RGB("#800000"));                  																																						
	     this.colors.put("mediumaquamarine",cvt.RGB("#66CDAA"));        																																						
	     this.colors.put("mediumblue",cvt.RGB("#0000CD"));              																																						
	     this.colors.put("mediumorchid",cvt.RGB("#BA55D3"));            																																						
	     this.colors.put("mediumpurple",cvt.RGB("#9370D8"));            																																						
	     this.colors.put("mediumseagreen",cvt.RGB("#3CB371"));          																																					
	     this.colors.put("mediumslateblue",cvt.RGB("#7B68EE"));         																																						
	     this.colors.put("mediumspringgreen",cvt.RGB("#00FA9A"));       																																						
	     this.colors.put("mediumturquoise",cvt.RGB("#48D1CC"));         																																						
	     this.colors.put("mediumvioletred",cvt.RGB("#C71585"));         																																						
	     this.colors.put("midnightblue",cvt.RGB("#191970"));            																																						
	     this.colors.put("mintcream",cvt.RGB("#F5FFFA"));               																																						
	     this.colors.put("mistyrose",cvt.RGB("#FFE4E1"));               																																						
	     this.colors.put("moccasin",cvt.RGB("#FFE4B5"));                																																						
	     this.colors.put("navajowhite",cvt.RGB("#FFDEAD"));             																																						
	     this.colors.put("navy",cvt.RGB("#000080"));                    																																						
	     this.colors.put("oldlace",cvt.RGB("#FDF5E6"));                 																																						
	     this.colors.put("olive",cvt.RGB("#808000"));                   
	     this.colors.put("olivedrab",cvt.RGB("#6B8E23"));               
	     this.colors.put("orange",cvt.RGB("#FFA500"));                  
	     this.colors.put("orangered",cvt.RGB("#FF4500"));               
	     this.colors.put("orchid",cvt.RGB("#DA70D6"));                  
	     this.colors.put("palegoldenrod",cvt.RGB("#EEE8AA"));           
	     this.colors.put("palegreen",cvt.RGB("#98FB98"));               
	     this.colors.put("paleturquoise",cvt.RGB("#AFEEEE"));           
	     this.colors.put("palevioletred",cvt.RGB("#D87093"));           
	     this.colors.put("papayawhip",cvt.RGB("#FFEFD5"));              
	     this.colors.put("peachpuff",cvt.RGB("#FFDAB9"));               
	     this.colors.put("peru",cvt.RGB("#CD853F"));                    
	     this.colors.put("pink",cvt.RGB("#FFC0CB"));                    
	     this.colors.put("plum",cvt.RGB("#DDA0DD"));                    
	     this.colors.put("powderblue",cvt.RGB("#B0E0E6"));              
	     this.colors.put("purple",cvt.RGB("#800080"));                  
	     this.colors.put("red",cvt.RGB("#FF0000"));                     
	     this.colors.put("rosybrown",cvt.RGB("#BC8F8F"));               
	     this.colors.put("royalblue",cvt.RGB("#4169E1"));               
	     this.colors.put("saddlebrown",cvt.RGB("#8B4513"));             
	     this.colors.put("salmon",cvt.RGB("#FA8072"));                  
	     this.colors.put("sandybrown",cvt.RGB("#F4A460"));              
	     this.colors.put("seagreen",cvt.RGB("#2E8B57"));                
	     this.colors.put("seashell",cvt.RGB("#FFF5EE"));                
	     this.colors.put("sienna",cvt.RGB("#A0522D"));                  
	     this.colors.put("silver",cvt.RGB("#C0C0C0"));                  
	     this.colors.put("skyblue",cvt.RGB("#87CEEB"));                 
	     this.colors.put("slateblue",cvt.RGB("#6A5ACD"));               
	     this.colors.put("slategray",cvt.RGB("#708090"));               
	     this.colors.put("snow",cvt.RGB("#FFFAFA"));                    
	     this.colors.put("springgreen",cvt.RGB("#00FF7F"));             
	     this.colors.put("steelblue",cvt.RGB("#4682B4"));               
	     this.colors.put("tan",cvt.RGB("#D2B48C"));                     
	     this.colors.put("teal",cvt.RGB("#008080"));                    
	     this.colors.put("thistle",cvt.RGB("#D8BFD8"));                 
	     this.colors.put("tomato",cvt.RGB("#FF6347"));                  
	     this.colors.put("turquoise",cvt.RGB("#40E0D0"));               
	     this.colors.put("violet",cvt.RGB("#EE82EE"));                  
	     this.colors.put("violetred",cvt.RGB("#D02090"));               
	     this.colors.put("wheat",cvt.RGB("#F5DEB3"));                   
	     this.colors.put("white",cvt.RGB("#FFFFFF"));                   
	     this.colors.put("whitesmoke",cvt.RGB("#F5F5F5"));              
	     this.colors.put("yellow",cvt.RGB("#FFFF00"));                  
	     this.colors.put("yellowgreen",cvt.RGB("#9ACD32"));       
	}
	
	@SuppressWarnings("static-access")
	public Color getColor(String clr){
		String cor = clr.toLowerCase();
		return (Color)this.colors.get(cor); //get: HashTable  
	}
}